#! /usr/bin/env python

# Copyright (C) 2009 Canonical Ltd
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

import os, shutil

langs = ['en', 'ja', 'ru']
guides = ['plugins']

# Build the sites
for lang in langs:
    print "\nBuilding the site for %s ..." % (lang,)
    os.chdir(lang)
    os.system("make clean html")
    os.chdir("..")
for guide in guides:
    print "\nBuilding the %s guide ..." % (guide,)
    os.chdir("%s/en" % guide)
    os.system("make clean html")
    os.chdir("../..")

# Collect the sites together into one place
if not os.path.exists("_build"):
    os.mkdir("_build")
for lang in langs:
    src = os.path.join(lang, "_build", "html")
    dest = os.path.join("_build", lang)
    if os.path.exists(dest):
        print "removing existing %s" % (dest,)
        shutil.rmtree(dest)
    print "copying %s => %s" % (src, dest)
    shutil.copytree(src, dest)
for guide in guides:
    src = os.path.join(guide, "en", "_build", "html")
    parent_dest = os.path.join("_build", guide)
    if not os.path.exists(parent_dest):
        os.mkdir(parent_dest)
    dest = os.path.join(parent_dest, "en")
    if os.path.exists(dest):
        print "removing existing %s" % (dest,)
        shutil.rmtree(dest)
    print "copying %s => %s" % (src, dest)
    shutil.copytree(src, dest)
